<template>
  <div class="hello">
    {{mixin}}
    {{mixinObj.a}}
    {{mixinObj.b}}
    <button @click="go()">go</button>
  </div>
</template>

<script>
import Mixin from './Mixin'
export default {
  name: 'HelloWorldMixin',
  mixins:[Mixin],
  data () {
    return {
      msg: 'Mixin'
    }
  },
  created(){
      console.log('HelloWorldMixin')
      this.mixin='dsasdsdsadsadsa';
      this.mixinObj.a='2323',
      this.mixinObj.b='23234232323'
  },
  methods:{
      go(){
          this.$router.push({
              name:'HelloWorld'
          })
      }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
